Player <- {
    GUI = false,
    isAdmin = false,
    hearts = 3,
    buildingPoints = 10,

    kills = 0,
    deaths = 0,
    winGames = 0,
    avatarId = 0,

    isObserver = false,
};


local effectTable = [
"spellFX_Thunderstorm",
"spellFX_Thunderstorm_INVESTGLOW",
"spellFX_Thunderstorm_Dome",
"spellFX_Thunderstorm_Flash",
"spellFX_ThunderStorm_Screenblend",
"spellFX_ThunderStorm_Screenblend",
"spellFX_Skull",
"spellFX_Skull_Skull",
"spellFX_Skull_SPREAD",
"spellFX_Skull_COLLIDEFX",
"spellFX_SuckEnergy",
"spellFX_SuckEnergy_Invest",
"spellFX_SuckEnergy_SlowTime",
"spellFX_SuckEnergy_BloodFly",
"spellFX_SuckEnergy_SENDPERCEPTION",
"spellFX_Energyball",
"spellFX_Energyball_TARGET",
"spellFX_Icelance",
"spellFX_Icelance_COLLIDEFX",
"SPELLFX_WATERFIST",
"spellFX_Waterfist_COLLIDEFX",
"spellFX_Waterfist_COLLIDEDYNFX",
"SPELLFX_WATERFIST_ABYSS",
"spellFX_Swarm",
"spellFX_Greententacle",
"spellFX_Greententacle_Bridge",
"SpellFX_Greententacle_TARGET",
"spellFX_Geyser",
"spellFX_Geyser_FOUNTAIN",
"spellFX_Whirlwind",
"spellFX_Whirlwind_COLLIDE",
"spellFX_Whirlwind_Invest",
"spellFX_Whirlwind_Sound",
"spellFX_Whirlwind_TARGET",
"spellFX_Whirlwind_SENDPERCEPTION",
"spellFX_INCOVATION_GREEN",
"spellFX_INCOVATION_RED",
"spellFX_INCOVATION_BLUE",
"spellFX_INCOVATION_VIOLET",
"spellFX_INCOVATION_WHITE",
"spellFX_LIGHTSTAR_VIOLET",
"spellFX_LIGHTSTAR_WHITE",
"spellFX_LIGHTSTAR_BLUE",
"spellFX_LIGHTSTAR_RED",
"spellFX_LIGHTSTAR_GREEN",
"spellFX_LIGHTSTAR_ORANGE",
"spellFX_Innoseye",
"spellFX_HealShrine",
"spellFX_RingRitual1",
"spellFX_RingRitual2",
"spellFX_LIGHTSTAR_RingRitual",
"spellFX_ItemAusbuddeln",
"spellFX_BeliarsWeapon_Upgrate",
"spellFX_Maya_Ghost",
"spellFX_BELIARSRAGE",
"spellFX_BELIARSRAGE_target_Cloud",
"spellFX_BELIARSRAGE_COLLIDE",
"spellFX_Light",
"spellFX_Light_ACTIVE",
"spellFX_PalLight",
"spellFX_PalLight_ACTIVE",
"spellFX_Firebolt",
"spellFX_Firebolt_COLLIDEFX",
"spellFX_Firebolt_COLLIDEDYNFX",
"spellFX_ChargeFireball",
"spellFX_ChargeFireball_InVEST_BLAST1",
"spellFX_ChargeFireball_InVEST_BLAST2",
"spellFX_ChargeFireball_InVEST_BLAST3",
"spellFX_ChargeFireball_InVEST_BLAST4",
"spellFX_ChargeFireball_COLLIDE",
"spellFX_ChargeFireball_COLLIDEDYNFX",
"spellFX_InstantFireball",
"spellFX_InstantFireball_FIRECLOUD",
"spellFX_InstantFireball_COLLIDE",
"spellFX_InstantFireball_COLLIDE_KEY_INVEST_1",
"spellFX_InstantFireball_COLLIDEDYNFX",
"spellFX_InstantFireball_COLLIDEDYNFX_KEY_INVEST_1",
"spellFX_Firestorm",
"spellFX_FireStorm_INVESTSOUND",
"spellFX_FireStorm_INVESTBLAST1",
"spellFX_FireStorm_INVESTBLAST2",
"spellFX_FireStorm_INVESTBLAST3",
"spellFX_FireStorm_INVESTBLAST4",
"spellFX_Firestorm_SPREAD",
"spellFX_Firestorm_COLLIDE",
"spellFX_Pyrokinesis",
"spellFX_Pyrokinesis_INVESTSOUND",
"spellFX_Pyrokinesis_INVESTBLAST1",
"spellFX_Pyrokinesis_INVESTBLAST2",
"spellFX_Pyrokinesis_INVESTBLAST3",
"spellFX_Pyrokinesis_INVESTBLAST4",
"spellFX_Pyrokinesis_SPREAD",
"spellFX_FireRain",
"spellFX_FireRain_RAIN",
"spellFX_FireRain_SUB",
"spellFX_FireRain_INVESTGLOW",
"spellFX_Teleport",
"spellFX_Teleport_ORIGIN",
"spellFX_Teleport_RING",
"spellFX_Teleport_CAST",
"spellFX_PalHeal",
"spellFX_PalHeal_START",
"spellFX_PalHeal_ORIGIN",
"spellFX_Heal",
"spellFX_Heal_ORIGIN",
"spellFX_Heal_LEFTHAND",
"spellFX_Transform",
"spellFX_Transform_ORIGIN",
"spellFX_Transform_BLEND",
"spellFX_Lightning",
"spellFX_LightningFlash",
"spellFX_LightningFlash_HEAVENSRAGE",
"spellFX_LightningFlash_target_Cloud",
"spellFX_LightningFlash",
"spellFX_LightningFlash_target",
"spellFX_LightningFlash_target_Cloud",
"spellFX_LightningFlash_target_GROUND",
"spellFX_Zap",
"spellFX_Zap_COLLIDE",
"spellFX_Zap_COLLIDEDYNFX",
"spellFX_PalHolyBolt",
"spellFX_PalHolyBolt_COLLIDE",
"spellFX_PalHolyBolt_COLLIDEDYNFX",
"spellFX_Icebolt",
"spellFX_Icebolt_COLLIDE",
"spellFX_Icebolt_COLLIDEDYNFX",
"spellFX_chargezap",
"spellFX_chargezap_InVEST_BLAST1",
"spellFX_chargezap_InVEST_BLAST2",
"spellFX_chargezap_InVEST_BLAST3",
"spellFX_chargezap_InVEST_BLAST4",
"spellFX_chargezap_COLLIDE",
"spellFX_IceCube",
"spellFX_IceCube_COLLIDE",
"spellFX_Icespell_Invest",
"spellFX_Icewave",
"spellFX_Icewave_WAVE",
"spellFX_Icewave_SUB",
"spellFX_SummonCreature_ORIGIN",
"spellFX_SummonCreature_LEFTHAND",
"spellFX_SummonGolem",
"spellFX_SummonSkeleton",
"spellFX_SummonGoblinSkeleton",
"spellFX_SummonWolf",
"spellFX_SummonDemon",
"spellFX_SummonGuardian",
"spellFX_SummonZombie",
"spellFX_SummonMud",
"spellFX_ArmyOfDarkness",
"spellFX_MassDeath",
"spellFX_Massdeath_EXPLOSION",
"spellFX_MassDeath_GROUND",
"spellFX_Massdeath_LEFTHAND",
"spellFX_MassDeath_SUB",
"spellFX_MassDeath_COLLIDEDYNFX",
"spellFX_DestroyUndead",
"spellFX_Destroyundead_COLLIDE",
"spellFX_Destroyundead_COLLIDEDYNFX",
"spellFX_PalRepelEvil",
"spellFX_REPELEVIL_TRAIL",
"spellFX_PalRepelEvil_COLLIDE",
"spellFX_PalRepelEvil_COLLIDEDYNFX",
"spellFX_MasterOfDisaster",
"spellFX_MasterOfDisaster_TRAIL",
"spellFX_MasterOfDisaster_COLLIDE",
"spellFX_MasterOfDisaster_COLLIDEDYNFX",
"spellFX_PalDestroyEvil",
"spellFX_PalDestroyEvil_COLLIDE",
"spellFX_PalDestroyEvil_COLLIDEDYNFX",
"spellFX_WindFist",
"spellFX_Windfist_Invest",
"spellFX_Windfist_INVESTBLAST",
"spellFX_Windfist_Cast",
"spellFX_Windfist_COLLIDEDYNFX",
"spellFX_Sleep",
"spellFX_Sleep_ORIGIN",
"spellFX_Sleep_TARGET",
"spellFX_Charm",
"spellFX_CHARM_ORIGIN",
"spellFX_CHARM_TARGET",
"spellFX_Pyrokinesis",
"spellFX_Pyrokinesis_TARGET",
"spellFX_Pyrokinesis_BRIDGE",
"spellFX_Fear",
"spellFX_Fear_WINGS",
"spellFX_Fear_WINGS2",
"spellFX_Fear_GROUND",
"spellFX_FEAR_SENDPERCEPTION",
"spellFX_BreathOfDeath",
"spellFX_BreathOfDeath_Invest",
"spellFX_BreathOfDeath_Cast",
"spellFX_BreathOfDeath_Target",
"spellFX_Shrink",
"spellFX_Shrink_Origin",
"spellFX_Concussionbolt",
"spellFX_Concussionbolt_COLLIDE",
"spellFX_Concussionbolt_COLLIDEDYNFX",
"spellFX_Deathbolt",
"spellFX_Deathbolt_FIRECLOUD",
"spellFX_Deathbolt_COLLIDE",
"spellFX_Deathbolt_COLLIDE_KEY_INVEST_1",
"spellFX_Deathbolt_COLLIDEDYNFX_KEY_INVEST_1",
"spellFX_Deathball",
"spellFX_Deathball_FIRECLOUD",
"spellFX_Deathball_COLLIDE",
"spellFX_Deathball_COLLIDEDYNFX",
"VOB_BURN",
"VOB_BURN_CHILD1",
"VOB_BURN_CHILD2",
"VOB_BURN_CHILD3",
"VOB_BURN_CHILD4",
"VOB_BURN_CHILD5",
"VOB_BURN_CHILD6",
"VOB_MAGICBURN",
"VOB_MAGICBURN_CHILD1",
"VOB_MAGICBURN_CHILD2",
"VOB_MAGICBURN_CHILD3",
"VOB_MAGICBURN_CHILD4",
"VOB_MAGICBURN_CHILD5",
"VOB_MAGICBURN_CHILD6",
"spellFX_MagicFire_HUMANSMOKE",
"spellFX_Firespell_HUMANSMOKE",
"spellFX_Lightning_TARGET",
"spellFX_Thunderspell_SENDPERCEPTION",
"spellFX_Thunderspell_SENDPERCEPTION_CHILD1",
"spellFX_Thunderspell_TARGET_CHILD2",
"spellFX_Thunderspell_TARGET_CHILD3",
"spellFX_Thunderspell_TARGET_CHILD4",
"spellFX_Thunderspell_TARGET_CHILD5",
"spellFX_Thunderspell_TARGET_CHILD6",
"spellFX_Thunderspell_TARGET_CHILD7",
"spellFX_Thunderspell_TARGET_CHILD8",
"spellFX_Thunderspell_TARGET_CHILD9",
"spellFX_Thunderspell_TARGET_CHILD10",
"spellFX_Thunderspell_TARGET_CHILD11",
"FX_EarthQuake",
"CONTROL_LEAVERANGEFX",
"CONTROL_CASTBLEND",
"TRANSFORM_CASTBLEND",
"TRANSFORM_NOPLACEFX",
"DEMENTOR_FX",
"FOV_MORPH1",
"FOV_MORPH2",
"SLOW_MOTION",
"FOCUS_HIGHLIGHT",
"SLOW_TIME",
"SLOW_TIME_CHILD",
"SLOW_TIME_CHILD2",
"sLEEP_BLEND",
"spellfx_firearmor_smoke",
"spellfx_firearmor",
"spellfx_fireswordblack",
"SPELLFX_FIRESWORD_ATTACK",
"SPELLFX_FIRESWORD_HIT",
"SPELLFX_MAGESTAFF1",
"SPELLFX_MAGESTAFF2",
"SPELLFX_MAGESTAFF3",
"SPELLFX_MAGESTAFF4",
"SPELLFX_MAGESTAFF5",
"SPELLFX_BOW",
"SPELLFX_FIREBOW",
"SPELLFX_ARROW",
"SPELLFX_FIREARROW",
"SPELLFX_CROSSBOW",
"SPELLFX_BOLT",
"SPELLFX_ITEMGLIMMER",
"sPELLFX_MANAPOTION",
"SPELLFX_HEALTHPOTION",
"SPELLFX_YELLOWPOTION",
"SPELLFX_WEAKGLIMMER",
"SPELLFX_WEAKGLIMMER_RED",
"SPELLFX_WEAKGLIMMER_BLUE",
"SPELLFX_WEAKGLIMMER_YELLOW",
"SPELLFX_ITEMSTARS",
"SPELLFX_ITEMSTARS_RED",
"SPELLFX_ITEMSTARS_BLUE",
"SPELLFX_ITEMSTARS_YELLOW",
"SPELLFX_GLOW",
"SPELLFX_UNDEAD_DRAGON",
"SPELLFX_DRAGONEYE_LEFT",
"SPELLFX_DRAGONEYE_RIGHT",
"spellFX_InvisibleProjectile",
"SPELLFX_WATERFIST_CAST"
];

local lastEffect = null;

addEventHandler("onCommand", function(cmd, params) {
    if(cmd == "effect")
    {
        if(lastEffect != null)
            removeEffect(heroId, lastEffect);

        addEffect(heroId, effectTable[params.tointeger()]);
        lastEffect = effectTable[params.tointeger()];

        serverPrint(lastEffect);
    }
})
